<?php

include_once('Common/Global.php');

class PageIPTV extends Page
{
  var $FullTitle = 'Síťová televize';
  var $ShortTitle = 'IPTV';
  
  function Show()
  {   
    if(count($this->System->PathItems) > 1)
    { 
      if($this->System->PathItems[1] == 'playlist.m3u') return($this->ShowPlayList());
        else return(PAGE_NOT_FOUND);
    } else return($this->ShowChannelList());
  }
  
  function ShowChannelList()
  {
    global $Channels;
    
    $Output = 'Stažení přehrávače: <a href="http://www.videolan.org/vlc/">VLC Media Player</a><br/>'.
    'Seznam všech kanálů do přehrávače: <a href="playlist.m3u">Playlist</a><br/>'.
    'Zobrazení playlistu ve VLC lze provést pomocí menu <strong>View - Playlist</strong> nebo klávesové zkratky CTRL+L<br/>'.
    '<br/>'.
    '<div align="center"><strong>Výpis kanálů:</strong><br>';

    $Where = 
    $DbResult = $this->Database->query('SELECT COUNT(*) FROM `TV` LEFT JOIN `TVGroup` ON `TVGroup`.`Id` = `TV`.`Category` '.
      ' LEFT JOIN `Language` ON `Language`.`Id` = `TV`.`Language` WHERE (`TV`.`Stream` <> "") OR (`TV`.`StreamWeb` <> "")');
    $DbRow = $DbResult->fetch_row();
    $PageList = GetPageList($DbRow[0]);    

    $Output .= $PageList['Output'];
    $Output .= '<table class="WideTable">';
   
    $TableColumns = array(
      array('Name' => 'Name', 'Title' => 'Jméno stanice'), 
      array('Name' => 'Language', 'Title' => 'Jazyk'), 
      array('Name' => 'Category', 'Title' => 'Zaměření'), 
      array('Name' => 'SourceType', 'Title' => 'Zdroj'), 
      array('Name' => '', 'Title' => 'Ladění'), 
    );
    $Order = GetOrderTableHeader($TableColumns, 'Name', 0);
    $Output .= $Order['Output'];

    $Query = 'SELECT `TV`.*, `TVGroup`.`Name` AS `Category`, `Language`.`Name` AS `Language` FROM `TV` LEFT JOIN `TVGroup` ON `TVGroup`.`Id` = `TV`.`Category` '.
      ' LEFT JOIN `Language` ON `Language`.`Id` = `TV`.`Language` WHERE (`TV`.`Stream` <> "") OR (`TV`.`StreamWeb` <> "") '.$Order['SQL'].$PageList['SQLLimit'];

    $DbResult = $this->Database->query($Query);
    while($Line = $DbResult->fetch_assoc()) 
    { 
      if($Line['Stream'] <> '') $Line['Show'] = '<a href="playlist.m3u?id='.$Line['ShortName'].'">Naladit</a>';
      else
      if($Line['StreamWeb'] <> '') $Line['Show'] = '<a href="'.$Line['StreamWeb'].'">Naladit</a>';
        else $Line['Show'] = '&nbsp;';
      
      $Output .= '<tr><td><a href="'.$Line['Homepage'].'">'.$Line['Name'].'</a></td>'.
      '<td>'.$Line['Language'].'</td>'.
      '<td>'.$Line['Category'].'</td>'.
      '<td>'.$Line['SourceType'].'</td>'.
      '<td>'.$Line['Show'].'</td></tr>';
    }
    $Output .= '</table>';
    $Output .= $PageList['Output'];
    
    $Output .= '</div><br/>';
    
    $Output .= 'Další online TV na webu: <a href="http://spustit.cz">Spustit.cz</a><br/>';
    $Output .= 'Další online TV na webu: <a href="http://www.tvinfo.cz/live/televize/evropa/cz">TV info</a><br/>';
    
    return($Output);
  }

  function ShowPlayList()
  {
    $this->ClearPage = true;
	
    Header("Content-Type: audio/mpegurl");
    Header("Content-Disposition: attachment; filename=playlist.m3u");

    echo('#EXTM3U'."\n");
    if(array_key_exists('id', $_GET))
    {
      $DbResult = $this->Database->select('TV', '*', ' (`Stream` <> "") AND (`ShortName`="'.addslashes($_GET['id']).'") ');
      if($DbResult->num_rows > 0)
      {
        $Channel = $DbResult->fetch_array();
        echo('#EXTINF:0,'.$Channel['Name']."\n");
        echo($Channel['Stream']."\n");
      }
    } else
    {
      $DbResult = $this->Database->select('TV', '*', ' (`Stream` <> "") ORDER BY `Name` ');
      while($Channel = $DbResult->fetch_array())
      {
        echo('#EXTINF:0,'.$Channel['Name']."\n");
        echo($Channel['Stream']."\n");
      }
    }
  }  
}

class ModuleTV extends AppModule
{
  function __construct($System)
  {
    parent::__construct($System);
    $this->Name = 'TV';
    $this->Version = '1.0';
    $this->Creator = 'Chronos';
    $this->License = 'GNU/GPLv3';
    $this->Description = 'Television channels management';
    $this->Dependencies = array();
  }  

  function Install()
  {
  }
  
  function Uninstall()
  {     
  }
  
  function Start()
  {
    parent::Start();
    $this->System->RegisterPage('tv', 'PageIPTV');
  }  
  
  function Stop()
  { 
  } 
}

?>
